Lineage OS : abandon du support pour le Sony Xperia Z5 compact

  • Auteur de la discussion Grompf2
  • Date de début
Grompf2

Grompf2

Membre
Inscrit
24 Janvier 2016
Messages
40
Points
6
  • #1
Bonjour,
J'ai galéré pour installer Lineage OS sur mon vieux Xperia Z5 Compact... Et après un moment, je me suis demandé pourquoi je n'avais plus de mises à jour. En fait Lineage OS a laissé tombé le support pour ce modèle.
En fait ça arrive même avec des smartphones plus récents (exemple, le Samsung Galaxy S9). Une rom est proposée, mais comme cela dépend du bon vouloir de contributeurs bénévoles, à n'importe quel moment ça peut s'arrêter.
Bon, mon Z5 Compact vient de tomber et j'ai cassé le panneau arrière. Je ne vais pas mettre des sous pour le remplacer. J'avais déjà changé le panneau il y a quelques mois et ce n'est pas gratuit. Et j'avais changé la batterie, mais l'appareil continuait à avoir une faible autonomie et chauffait facilement. Je vais donc passer à autre chose.
 
Tekken

Tekken

Samsung Galaxy S10
Administrateur
Inscrit
4 Août 2012
Messages
25 527
Points
113
  • #2
Bonjour
et oui malheureusement si les développeurs décident d'arreter on ne peux rien y faire
j'avais eu le même soucis avec la ROM Phoenix que j'utilise sur mon S5
 
Grompf2

Grompf2

Membre
Inscrit
24 Janvier 2016
Messages
40
Points
6
  • #3
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !

Je découvre que Paranoid Android fourni une ROM pour ce modèle.
Si je veux garder mon vieux smartphone cassé pour bricoler, j'essaierai ça...
 
Tekken

Tekken

Samsung Galaxy S10
Administrateur
Inscrit
4 Août 2012
Messages
25 527
Points
113
  • #4
Bonjour
OK n'hésite pas à faire un retour si tu test ;)
 
Grompf2

Grompf2

Membre
Inscrit
24 Janvier 2016
Messages
40
Points
6
  • #5
Bonsoir
J'ai installé Paranoid Android, avec les Open Gapps. Au lancement, je n'ai pas fourni de compte Google...
Je ne sais pas pourquoi, mais le résultat était inutilisable : le launcher plaintait à répétition. Est-ce que j'avais fait une ânerie ? Est-ce que Paranoid Android ne peut pas fonctionner sans compte Google ? Est-ce que cette ROM est mal fichue ?
J'ai laissé tomber. J'ai remis LineageOS avec MicroG. Tant pis si je n'ai pas les mises à jour, je le garde de côté au cas où et pour bricoler.
J'aurais pu m'amuser à aller chercher une ROM bricolée par un passionné sur XDA. Mais je ne suis pas assez passionné moi-même pour ça.

Je me demande juste s'il y aurait moyen de rajouter une ROM custom qui en fasse un Android "de base", sans surcouche constructeur, un truc tout simple, avec les mises à jour Android, sans root. Je ne m'y connais pas assez. Est-ce que si j'installe une ROM de ce genre, je pourrais effectuer ensuite les mises à jour officielles fournies par Android ?
 
SkelettSkelter

SkelettSkelter

Administrateur
Inscrit
12 Mai 2013
Messages
12 763
Points
113
  • #6
Salut,

Grompf2 a dit:
Est-ce que j'avais fait une ânerie ?

Plus que probable. Comment l'as-tu installé ? As-tu effacé (wipes) ton téléphone avant son installation ? Parce que c'est le pré-requis de base, lorsqu'on change de ROM Custom.

Grompf2 a dit:
Est-ce que Paranoid Android ne peut pas fonctionner sans compte Google ? Est-ce que cette ROM est mal fichue ?

Non et non. L'avantage des ROM Custom, c'est justement le fait de pouvoir se passer de Google et donc de ses applis.
Aussi, cette ROM est tout bonnement excellente. De base. Si tu as installé une version dite Unofficial sans effacement de données comme mentionné ci-dessus, ça explique tous tes problèmes.

Grompf2 a dit:
J'aurais pu m'amuser à aller chercher une ROM bricolée par un passionné sur XDA.

C'est déjà le cas de Lineage et de Paranoid. Tu peux tester Resurrection Remix, s'il y a, ceci dit.

Grompf2 a dit:
Je me demande juste s'il y aurait moyen de rajouter une ROM custom qui en fasse un Android "de base", sans surcouche constructeur, un truc tout simple, avec les mises à jour Android

C'est déjà installé sur ton appareil : LineageOS.

Grompf2 a dit:

Quand tu installes Lineage ou autre, tu n'es pas obligé de flasher Magisk. Si tu ne le fait pas, la ROM ne sera pas rootée.
 
Grompf2

Grompf2

Membre
Inscrit
24 Janvier 2016
Messages
40
Points
6
  • #7
Bonsoir @Skelett,
Merci pour tes réponses.
Alors j'ai installé Paranoid à l'aide de TWRP. J'ai mis le fichier Paranoid et celui des Open Gapps sur une carte externe, après avoir effacé mon téléphone. Et j'ai installé Paranoid et Open Gapps avant de redémarrer le téléphone.

Précision : un premier essai avait échoué, TWRP me livrait un message d'erreur selon lequel les OpenGapps n'étaient pas la bonne version. J'ai donc téléchargé une autre version, que j'ai rajouté sur la carte SD, avant de relancer l'installation.

LineageOS n'est plus maintenue pour cet appareil. Donc plus de mises à jour. Si je le garde de côté pour bricoler ou en réserve au cas où, ce n'est pas un souci.

Mais idéalement, j'aurais bien aimé avoir une ROM qui bénéficie encore de mises à jour.
Je vais peut-être réessayer. Effacer mon téléphone avec TWRP. Placer les fichiers Paranoid et OpenGapps à la racine (j'ai entre-temps retiré la carte SD pour mon nouveau smartphone), à l'aide d'ADB depuis mon PC. Et relancer l'installation de Paranoid.

Pour être sûr, pour Paranoid, je prends
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !
, pas d'erreur possible. Mais pour les Open GApps ? Je prends la version ARM64 6.0 et ensuite peu importe la variante (Stock, Nano, Pico) ? Les GApps sont, je crois, indispensables à mon téléphone (Open GApps ou MicroG, il me faut qqch si ma mémoire est bonne).

Rien de bien urgent dans tout ça. Nous parlons d'un vieux smartphone, avec un panneau arrière fendu, qui me sert juste à faire mumuse et comme appareil de réserve. Mais si j'arrivais à avoir un système à jour, je serais contente.
 
C

chinaskidu33

Membre
Inscrit
27 Août 2015
Messages
10
Points
1
  • #8
Bonjour,
Je viens vers vous pour savoir si cette rom recevait bien la mise à jour de sécurité. À ce jour je tourne sous lineageos avec mon Z5 compact. Je sais que cette rom n'est plus supportée, pensez-vous (c'est un noob qui vous écrit) que je sois impacté par quoique ce soit qui me forcerait à changer de rom voire de terminal dans la situation où je me trouve?
Mon but étant si possible de garder mon téléphone actuel.
Je vous remercie pour votre compréhension.
Bien cordialement
 

Sujets en relation

Haut Bas